package de.swe2.artikelverwaltung.service;

import java.util.Collection;

import javax.ejb.ApplicationException;
import javax.validation.ConstraintViolation;

import de.swe2.artikelverwaltung.domain.Artikel;


@ApplicationException(rollback = true)
public class InvalidArtikelIdException extends AbstractArtikelverwaltungException {
	private static final long serialVersionUID = -5675412375055036543L;
	private final Long id;
	private final Collection<ConstraintViolation<Artikel>> violations;
	
	public InvalidArtikelIdException(Long id, Collection<ConstraintViolation<Artikel>> violations) {
		super("Ungueltige ID: " + id + ", Violations: " + violations);
		this.id = id;
		this.violations = violations;
	}
	
	public Long getId() {
		return id;
	}
	
	public Collection<ConstraintViolation<Artikel>> getViolations() {
		return violations;
	}
}
