package de.swe2.bestellverwaltung.service;

import java.util.Date;

import javax.ejb.ApplicationException;


@ApplicationException(rollback = true)
public class BestellungDuplikatException extends AbstractBestellverwaltungException {
	private static final long serialVersionUID = 253181771196514227L;
	private final Long kundeId;
	private final Date erzeugt;

	public BestellungDuplikatException(Long kundeId, Date erzeugt) {
		super("Bestellung von Kunde " + kundeId + " mit Erzeugungsdatum " + erzeugt + " existiert bereits");
		this.kundeId = kundeId;
		this.erzeugt = erzeugt == null ? null : (Date) erzeugt.clone();
	}

	public Long getKundeId() {
		return kundeId;
	}

	public Date getErzeugt() {
		return erzeugt == null ? null : (Date) erzeugt.clone();
	}
}
