package de.swe2.bestellverwaltung.service;

import java.util.Collection;

import javax.ejb.ApplicationException;
import javax.validation.ConstraintViolation;

import de.swe2.bestellverwaltung.domain.Bestellung;


@ApplicationException(rollback = true)
public class BestellungValidationException extends AbstractBestellverwaltungException {
	private static final long serialVersionUID = -6534435819639712452L;
	
	private final Collection<ConstraintViolation<Bestellung>> violations;
	private final Long id;
	
	public BestellungValidationException(Bestellung bestellung, Collection<ConstraintViolation<Bestellung>> violations) {
		super("Ungueltige Attributwerte");
		if (bestellung == null) {
			this.id = null;
		}
		else {
			this.id = bestellung.getId();
		}
		this.violations = violations;
	}
	
	public Long getId() {
		return id;
	}
	
	public Collection<ConstraintViolation<Bestellung>> getViolations() {
		return violations;
	}
}
