package de.swe2.bestellverwaltung.service;

import static javax.ejb.TransactionAttributeType.MANDATORY;

import java.util.List;

import javax.ejb.Stateless;
import javax.ejb.TransactionAttribute;
import javax.persistence.Query;

import de.swe2.bestellverwaltung.domain.Bestellung;
import de.swe2.bestellverwaltung.domain.PlzAnzahlBestellungen;
import de.swe2.util.AbstractDao;
import de.swe2.util.NotFoundException;

@Stateless
@TransactionAttribute(MANDATORY)
public class BestellverwaltungDao extends AbstractDao {
	private static final long serialVersionUID = -647999448793817728L;

	/**
	 */
	public List<PlzAnzahlBestellungen> findPlzAnzahlBestellungen() throws NotFoundException {
		final Query query = em.createNamedQuery(Bestellung.FIND_PLZ_ANZAHL_BESTELLUNGEN);
		
		@SuppressWarnings("unchecked")
		final List<PlzAnzahlBestellungen> result = query.getResultList();
		
		if (result.isEmpty()) {
			throw new NotFoundException("Keine Treffer fuer die Named Query " + Bestellung.FIND_PLZ_ANZAHL_BESTELLUNGEN, PlzAnzahlBestellungen.class);
		}
		return result;
	}
}
