package de.swe2.bestellverwaltung.service;

import java.util.Collection;

import javax.ejb.ApplicationException;
import javax.validation.ConstraintViolation;

import de.swe2.bestellverwaltung.domain.Bestellung;


@ApplicationException(rollback = true)
public class InvalidBestellungIdException extends AbstractBestellverwaltungException {
	private static final long serialVersionUID = 7785083760329449394L;
	private final Long id;
	private final Collection<ConstraintViolation<Bestellung>> violations;
	
	public InvalidBestellungIdException(Long id, Collection<ConstraintViolation<Bestellung>> violations) {
		super("Ungueltige ID: " + id + ", Violations: " + violations);
		this.id = id;
		this.violations = violations;
	}
	
	public Long getId() {
		return id;
	}
	
	public Collection<ConstraintViolation<Bestellung>> getViolations() {
		return violations;
	}
}
