package de.swe2.kundenverwaltung.service;

import java.io.IOException;
import javax.ejb.ApplicationException;


@ApplicationException(rollback = true)
public class BildException extends AbstractKundenverwaltungException {
	private static final long serialVersionUID = 8888779546941607498L;
	private final Long id;
	private final String dateiname;
	private final IOException ioException;

	public BildException(Long id, String dateiname, IOException ioException) {
		super("Interner Fehler beim Abspeichern des Bildes " + dateiname + " fuer den Kunden mit ID=" + id);
		
		this.id = id;
		this.dateiname = dateiname;
		this.ioException = ioException;
	}

	public Long getId() {
		return id;
	}

	public String getDateiname() {
		return dateiname;
	}

	public IOException getIoException() {
		return ioException;
	}
}
