package de.swe2.kundenverwaltung.service;

import java.util.Collection;

import javax.ejb.ApplicationException;
import javax.validation.ConstraintViolation;

import de.swe2.kundenverwaltung.domain.Adresse;


@ApplicationException(rollback = true)
public class InvalidAdressePlzException extends AbstractKundenverwaltungException {
	private static final long serialVersionUID = 1566746881789307348L;
	private final String plz;
	private final Collection<ConstraintViolation<Adresse>> violations;
	
	public InvalidAdressePlzException(String plz, Collection<ConstraintViolation<Adresse>> violations) {
		super("Ungueltige PLZ: " + plz + ", Violations: " + violations);
		this.plz = plz;
		this.violations = violations;
	}
	
	public String getPlz() {
		return plz;
	}
	
	public Collection<ConstraintViolation<Adresse>> getViolations() {
		return violations;
	}
}
