package de.swe2.kundenverwaltung.service;

import java.util.Collection;

import javax.ejb.ApplicationException;
import javax.validation.ConstraintViolation;
import de.swe2.kundenverwaltung.domain.AbstractKunde;


@ApplicationException(rollback = true)
public class InvalidKundeIdException extends AbstractKundenverwaltungException {
	private static final long serialVersionUID = -5675412375055036543L;
	private final Long id;
	private final Collection<ConstraintViolation<AbstractKunde>> violations;
	
	public InvalidKundeIdException(Long id, Collection<ConstraintViolation<AbstractKunde>> violations) {
		super("Ungueltige ID: " + id + ", Violations: " + violations);
		this.id = id;
		this.violations = violations;
	}
	
	public Long getId() {
		return id;
	}
	
	public Collection<ConstraintViolation<AbstractKunde>> getViolations() {
		return violations;
	}
}
