package de.swe2.kundenverwaltung.service;

import java.util.Collection;
import java.util.Date;

import javax.ejb.ApplicationException;
import javax.validation.ConstraintViolation;

import de.swe2.kundenverwaltung.domain.AbstractKunde;


@ApplicationException(rollback = true)
public class InvalidKundeSeitException extends AbstractKundenverwaltungException {
	private static final long serialVersionUID = -5675412375055036543L;
	private final Date seit;
	private final Collection<ConstraintViolation<AbstractKunde>> violations;
	
	public InvalidKundeSeitException(Date seit, Collection<ConstraintViolation<AbstractKunde>> violations) {
		super("Ungueltiger Wert fuer seit: " + seit + ", Violations: " + violations);
		this.seit = seit == null ? null : (Date) seit.clone();
		this.violations = violations;
	}
	
	public Date getSeit() {
		return seit == null ? null : (Date) seit.clone();
	}
	
	public Collection<ConstraintViolation<AbstractKunde>> getViolations() {
		return violations;
	}
}
