package de.swe2.kundenverwaltung.service;

import java.util.Collection;

import javax.ejb.ApplicationException;
import javax.validation.ConstraintViolation;
import de.swe2.kundenverwaltung.domain.AbstractKunde;


@ApplicationException(rollback = true)
public class InvalidNachnameException extends AbstractKundenverwaltungException {
	private static final long serialVersionUID = -5197024567869060635L;
	private final String nachname;
	private final Collection<ConstraintViolation<AbstractKunde>> violations;

	public InvalidNachnameException(String nachname, Collection<ConstraintViolation<AbstractKunde>> violations) {
		super("Ungueltiger Nachname: " + nachname + ", Violations: " + violations);
		this.nachname = nachname;
		this.violations = violations;
	}
	
	public String getNachname() {
		return nachname;
	}
	
	public Collection<ConstraintViolation<AbstractKunde>> getViolations() {
		return violations;
	}
}
