package de.swe2.kundenverwaltung.service;

import javax.ejb.ApplicationException;


@ApplicationException(rollback = true)
public class KundeDuplikatException extends AbstractKundenverwaltungException {
	private static final long serialVersionUID = 4867667611097919943L;
	private final Long id;
	private final String nachname;
	private final String vorname;
	private final String email;

	public KundeDuplikatException(Long id, String nachname, String vorname, String email) {
		super("Der Kunde \"" + nachname + ", " + vorname + ": " + email + " existiert bereits");
		this.id = id;
		this.nachname = nachname;
		this.vorname = vorname;
		this.email = email;
	}

	public Long getId() {
		return id;
	}

	public String getNachname() {
		return nachname;
	}
	public String getVorname() {
		return vorname;
	}
	public String getEmail() {
		return email;
	}
}
