package de.swe2.util.jboss;

import static de.swe2.util.EjbConstants.HASH_ALGORITHM;
import static de.swe2.util.EjbConstants.HASH_CHARSET;
import static de.swe2.util.EjbConstants.HASH_ENCODING;
import static org.jboss.security.auth.spi.Util.createPasswordHash;


// Alternativ:
// org.jboss.crypto.CryptoUtil.createPasswordHash

/**
 * In Anlehnung an org.jboss.test.PasswordHasher von Scott Stark
 */
public final class PasswordUtil {
	private static final String USAGE = "Usage: java " + PasswordUtil.class.getName() + " <password>";
	private static final String NEWLINE = System.getProperty("line.separator");

	/**
	 * Nur static Methoden, deshalb private Konstruktor
	 */
	private PasswordUtil() {
	}
	
	/**
	 */
	public static void main(String[] args) {
		if ((args.length != 1) || args[0].startsWith("-h")) {
			throw new IllegalStateException(USAGE);
		}

		String password = args[0];
		final String verschluesselt = verschluesseln(password);
		
		System.out.println("Zu verschluesselndes Password: >>>" + password + "<<<" + NEWLINE
		                   + "Verschluesseltes Password:     >>>" + verschluesselt + "<<<" + NEWLINE + NEWLINE
		                   + "Hash-Algorithmus: " + HASH_ALGORITHM + NEWLINE
		                   + "Hash-Encoding:    " + HASH_ENCODING + NEWLINE
		                   + "Hash-Charset:     " + HASH_CHARSET);
	}

	/**
	 */
	// TODO bei Portierung: JBoss-spezifische Funktionalitaet ersetzen 
	public static String verschluesseln(String password) {
		if (password == null) {
			return null;
		}
		final String passwordHash = createPasswordHash(HASH_ALGORITHM, HASH_ENCODING, HASH_CHARSET, null, password);
		return passwordHash;
	}
}
