// In Anlehnung an:
// http://weblogs.java.net/blog/driscoll/archive/2009/09/02/busy-status-indicator-jsf-2
// http://courses.coreservlets.com/Course-Materials/pdf/jsf/jsf2/JSF2-Ajax.pdf

// This function is specific to a particular ID,
// but the rest of the functions are generic and reusable.
// Experienced JavaScript programmers could just
// make an anonymous function (closure) on the main page that
// captures the id and calls showIndicatorRegion.

function showWaitingIndicator(data) {
	showIndicatorRegion(data, "waiting:waiting");
}

// Show an HTML element, fire off the Ajax request,
// then hide the element once the response comes back.
// In real life I would probably use jQuery and
// $("#waitingIndicator").hide() and ...show()
// But I wanted to keep this as simple as possible
// for folks that don't know jQuery.

function showIndicatorRegion(data, regionId) {
	if (data.status == "begin") {
		showElement(regionId);
	}
	else if (data.status == "success") {
		hideElement(regionId);
	} 
}

function showElement(id) {
	document.getElementById(id).style.display = "inline";
}

function hideElement(id) {
	document.getElementById(id).style.display = "none";
}

