package de.swe2.bestellverwaltung.ui;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import de.swe2.artikelverwaltung.domain.Artikel;
import de.swe2.bestellverwaltung.domain.Bestellposition;

public class Warenkorb implements Serializable {
	private static final long serialVersionUID = -1981070683990640854L;
	
	private final List<Bestellposition> positionen = new ArrayList<Bestellposition>();
	
	public List<Bestellposition> getPositionen() {
		return positionen;
	}
		
	@Override
	public String toString() {
		return positionen.toString();
	}
	
	/**
	 */
	public void add(Artikel artikel) {
		for (Bestellposition bp : positionen) {
			if (bp.getArtikel().equals(artikel)) {
				// bereits im Warenkorb
				short vorhandeneAnzahl = bp.getAnzahl();
				bp.setAnzahl((short) (vorhandeneAnzahl + 1));
				return;
			}
		}
		
		Bestellposition neu = new Bestellposition(artikel);
		positionen.add(neu);
	}
	
	/**
	 */
	public void reset() {
		positionen.clear();
	}
}
