package de.swe2.util;

import java.io.Serializable;
import java.util.Locale;

import javax.enterprise.context.SessionScoped;
import javax.faces.context.FacesContext;
import javax.faces.event.ValueChangeEvent;
import javax.inject.Named;


@Named("sprache")
@SessionScoped
public class SpracheMgdBean implements Serializable {
	private static final long serialVersionUID = 1986565724093259408L;
	
	private Locale locale;
	
	/**
	 */
	public SpracheMgdBean() {
		super();
		
		locale = FacesContext.getCurrentInstance()
                             .getExternalContext()
                             .getRequestLocale();
	}
	
	/**
	 */
	public Locale getLocale() {
		return locale;
	}
	
	/**
	 */
	public void setLocale(Locale locale) {
		this.locale = locale;
		final FacesContext ctx = FacesContext.getCurrentInstance();
		ctx.getViewRoot().setLocale(locale);
		ctx.renderResponse();
	}

	/**
	 */
	public void setLocale(String localeStr) {
		setLocale(new Locale(localeStr));
	}
	
	public void changeListener(ValueChangeEvent e) {
		final String locale = (String) e.getNewValue();
		setLocale(locale);
	}

	/**
	 */
	@Override
	public String toString() {
		return "SpracheMgdBean [locale=" + locale + "]";
	}
}
